Skip to content
All integrations

Send email over HTTP with Lettr

Lettr works with anything that makes HTTP requests through the REST API.

Checked

What you can do

  • Send and schedule email
  • Manage templates, domains, webhooks, audience and campaigns

How to set it up

curl -X POST https://app.lettr.com/api/emails \
  -H "Authorization: Bearer $LETTR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "from": "noreply@yourdomain.com",
    "to": ["recipient@example.com"],
    "subject": "Hello from Lettr",
    "html": "<p>It works.</p>"
  }'

Requirements

  • A Lettr API key
  • A sending domain verified in Lettr
All integrations